<template>
  <div class="style-serie">
    <div class="setting-title" @click="show = !show">
      <div>下钻配色设置</div>
      <e class="el-icon-arrow-right" v-show="!show"></e>
      <e class="el-icon-arrow-down" v-show="show"></e>
    </div>
    <el-form size="mini" label-width="80px" v-show="show">
      <el-form-item label="字体颜色">
        <avue-input-color v-model="option.zuanFontColor"></avue-input-color>
      </el-form-item>
      <el-form-item label="分割符号">
        <el-input v-model="option.zuanFenge" placeholder="请输入分割符合" clearable></el-input>
      </el-form-item>
    </el-form>
  </div>
</template>
<script>
export default {
  props: ["option"],
  data() {
    return {
      show: false,
    };
  },
  methods: {
    onAdd() {
      this.option.colorList.push({ color1: "", color2: "" });
    },
    onDel(i) {
      this.option.colorList.splice(i, 1);
    },
  },
};
</script>
<style lang="scss">
.style-serie {
  .el-form-item {
    margin-bottom: 8px;
  }
  .color-item {
    height: 28px;
    display: flex;
    align-items: center;
    & > * {
      margin-left: 10px;
    }
  }
  .el-button {
    margin-left: 80px;
  }
}
</style>
